package decrypto;

public interface SolverListener
{
    public void solverMessage(String s);
    public void solverProgress(double progress);

    public void solverFinished(double elapsedTime);

    // spaces[n] means that there should be a space after the nth
    // ciphertext letter A-Z. If null, don't insert any spaces. See
    // Language.translateString
    public void solverSolution(MapSet set, int spaces[], boolean fullSolution, double score);
}
