#!/bin/bash

VER=8.5

# where to put the distributable files
DISTDIR=dist

# name of Linux/MacOSX distribution
LINNAME=decrypto$VER

# name of source distribution
SRCNAME=decrypto$VER-src

#########################################################
mkdir -p $DISTDIR

#########################################################
# windows installer
#
# uses nsis, currently requires running from windows

#########################################################
# linux/macosX installer
#
if [ 1 = 1 ]; then
    mkdir -p $DISTDIR/$LINNAME
    cp decrypto.jar $DISTDIR/$LINNAME
    cp english-standard.dat $DISTDIR/$LINNAME
    cp README.txt $DISTDIR/$LINNAME
    tar -C $DISTDIR -czvf $DISTDIR/$LINNAME.tgz $LINNAME
    rm -rf $DISTDIR/$LINNAME
fi

#########################################################
# source
#
if [ 1 = 1 ]; then
    rm -rf $DISTDIR/$SRCNAME
    svn export svn://edo.csail.mit.edu/home/svn/decrypto $DISTDIR/$SRCNAME
    tar -C $DISTDIR -czvf $DISTDIR/$SRCNAME.tgz $SRCNAME
    rm -rf $DISTDIR/$SRCNAME
fi

#########################################################
# upload
#
if [ 1 = 1 ]; then
    scp $DISTDIR/$SRCNAME.tgz $DISTDIR/$LINNAME.tgz decryptovers.php english-tiny.dat english-standard.dat english-large.dat root@edo.csail.mit.edu:/var/www/html/blisstonia.com/software/Decrypto
fi
