package decrypto;

public class StopFlag
{
    public boolean stop;

    public double startTime;
    public double maxTime;

    public StopFlag(double maxTime)
    {
	this.startTime = System.currentTimeMillis() / 1000.0;
	this.maxTime = maxTime;

	new WaitThread().start();
    }
    
    class WaitThread extends Thread
    {
	public WaitThread()
	{
	    setDaemon(true);
	}

	public void run()
	{
	    while (!stop) {
		double currentTime = System.currentTimeMillis()/1000.0;
		double elapsedTime = currentTime - startTime;

		if (elapsedTime >= maxTime) {
		    break;
		}
		
		try {
		    Thread.sleep((int) (1000*Math.min(maxTime - elapsedTime, 1.0)));
		} catch (InterruptedException ex) {
		}
	    }

	    stop = true;
	}
    }

}
