<?php include("header.php"); ?>

<h1>Online Help</h1>
<h2>1. Solving puzzles</h2>

<P>Type the encoded puzzle into the "Cipher Text" box. If you know any
letter mappings (e.g., "A=R"), type those into the "Clues"
box. Finally, click "Solve".</P>

<P><B>Hints:</B></P>

<UL> 
<LI>You can enter clues one at a time ("Q=R W=A B=C") or multiple
clues at once, e.g. "QWBYQ=RACER".

<LI>If there are words which should <I>not</I> be considered
while solving (because they might not be in the dictionary), include a
carat ("^") in front of the word.

<LI>If you don't get any solutions, try clicking the "Include
partial solutions" checkbox. Usually, only "good" solutions are
printed, but on puzzles which contain many non-dictionary words, this
results in no solutions being displayed. At the expense of solving
speed, all partial solutions will be given when this checkbox is
checked.

</UL>

<P>The solutions are listed below, ranked according to their
"score". The best solutions will be on top, and only the best 200
solutions will be displayed. The score for solutions is computed by
considering the (log) probability of the solution according to a table
of digram probabilities.</P>

<P>The standard English dictionary is good for a wide variety of
puzzles, however there are occasions where a different dictionary will
perform better. On very short puzzles that (probably) contain common
words, smaller dictionaries will reduce the number of "false
positives" while simultaneously decreasing the time required to
search. On puzzles containing uncommon words (including names and
acronyms), larger dictionaries are generally better.</P>

<h2>2. Examples</h2>

<P>Cipher text: "PG XOYHLM XOYLY PZ GH TPUUYLYGRY EYXBYYG XOYHLM WGT JLWRXPRY. PG JLWRXPRY, XOYLY PZ." - MHIP EYLLW</P>

<P>Clues: X=T M=Y</P>

<h2>Algorithm</h2>

A description of the algorithm is available <a href="howwork.php">here</a>.

<h2>Contributions</H2>

<P>This program has taken a lot of time to develop. If you would like to
contribute a pizza+coke for one more night of hacking, please send it
to:</P>

<P>
Edwin Olson<BR>
61 Harvey St.<BR>
Cambridge, MA 02140<BR>

<P>Thanks to those who have already contributed!</P>

<p>
    <a href="http://validator.w3.org/check?uri=referer"><img
        src="http://www.w3.org/Icons/valid-html40"
        alt="Valid HTML 4.0 Strict" height="31" width="88"></a>
  </p>

</div>

</html>
